org.apache.sysds.runtime.compress.lib

## Class CLALibRelationalOp

- java.lang.Object
- - org.apache.sysds.runtime.compress.lib.CLALibRelationalOp

    public class CLALibRelationalOp
    extends Object

This class is used for relational operators that return binary values depending on individual cells values in the compression. This indicate that the resulting vectors/matrices are amenable to compression since they only contain two distinct values, true or false.

### Constructor Summary

Constructors
Constructor and Description
`CLALibRelationalOp()`

### Method Summary

All Methods Static Methods Concrete Methods
`static MatrixBlock` `overlappingRelativeRelationalOperation(ScalarOperator sop, CompressedMatrixBlock m1)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CLALibRelationalOp

    public CLALibRelationalOp()

### Method Detail

#### overlappingRelativeRelationalOperation

    public static MatrixBlock overlappingRelativeRelationalOperation(ScalarOperator sop,
                                                                     CompressedMatrixBlock m1)